# src/pbuf/Makefile.inc

app := pbuf
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

PBUF_BAS  := $(app)
PBUF_SRC  := $(foreach f,$(PBUF_BAS),$(rel)/$(f).c)
PBUF_OBJ  := $(foreach f,$(PBUF_BAS),$(rel)/$(f).o)
PBUF_HDR  := $(foreach f,$(PBUF_BAS),$(rel)/$(f).h)
PBUF_MAN1 := $(rel)/$(app).1
PBUF_BIN  := $(rel)/$(app)

PBUF_EXT_BAS := common getopt strtoint
PBUF_EXT_HDR := $(foreach f,$(PBUF_EXT_BAS),src/lib/$(f).h) src/lib/config.h
PBUF_EXT_OBJ := $(foreach f,$(PBUF_EXT_BAS),src/lib/$(f).o)

BIN  += $(PBUF_BIN)
MAN1 += $(PBUF_MAN1)
CLN  += $(PBUF_BIN) $(PBUF_OBJ)
DIST += $(PBUF_SRC) $(PBUF_HDR) $(PBUF_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(PBUF_HDR) $(PBUF_EXT_HDR)

$(rel)/$(app): $(PBUF_EXT_OBJ) $(PBUF_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(PBUF_OBJ) $(PBUF_EXT_OBJ) -o $@
