# src/rpipe/Makefile.inc

app := rpipe
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

RPIPE_BAS  := $(app)
RPIPE_SRC  := $(foreach f,$(RPIPE_BAS),$(rel)/$(f).c)
RPIPE_OBJ  := $(foreach f,$(RPIPE_BAS),$(rel)/$(f).o)
RPIPE_HDR  := $(foreach f,$(RPIPE_BAS),$(rel)/$(f).h)
RPIPE_MAN1 := $(rel)/$(app).1
RPIPE_BIN  := $(rel)/$(app)

RPIPE_EXT_BAS := common getopt socket strtoint
RPIPE_EXT_HDR := $(foreach f,$(RPIPE_EXT_BAS),src/lib/$(f).h) src/lib/config.h
RPIPE_EXT_OBJ := $(foreach f,$(RPIPE_EXT_BAS),src/lib/$(f).o)

BIN  += $(RPIPE_BIN)
MAN1 += $(RPIPE_MAN1)
CLN  += $(RPIPE_BIN) $(RPIPE_OBJ)
DIST += $(RPIPE_SRC) $(RPIPE_HDR) $(RPIPE_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(RPIPE_HDR) $(RPIPE_EXT_HDR)

$(rel)/$(app): $(RPIPE_EXT_OBJ) $(RPIPE_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(RPIPE_OBJ) $(RPIPE_EXT_OBJ) $(MISC_LIB_SOCKET) -o $@
