# src/sleep/Makefile.inc

app := sleep
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

SLEEP_BAS  := $(app)
SLEEP_SRC  := $(foreach f,$(SLEEP_BAS),$(rel)/$(f).c)
SLEEP_OBJ  := $(foreach f,$(SLEEP_BAS),$(rel)/$(f).o)
SLEEP_HDR  := $(foreach f,$(SLEEP_BAS),$(rel)/$(f).h)
SLEEP_MAN1 := $(rel)/$(app).1
SLEEP_BIN  := $(rel)/$(app)

SLEEP_EXT_BAS := common getopt
SLEEP_EXT_HDR := $(foreach f,$(SLEEP_EXT_BAS),src/lib/$(f).h) src/lib/config.h
SLEEP_EXT_OBJ := $(foreach f,$(SLEEP_EXT_BAS),src/lib/$(f).o)

BIN  += $(SLEEP_BIN)
MAN1 += $(SLEEP_MAN1)
CLN  += $(SLEEP_BIN) $(SLEEP_OBJ)
DIST += $(SLEEP_SRC) $(SLEEP_HDR) $(SLEEP_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(SLEEP_HDR) $(SLEEP_EXT_HDR)

$(rel)/$(app): $(SLEEP_EXT_OBJ) $(SLEEP_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(SLEEP_OBJ) $(SLEEP_EXT_OBJ) -o $@
