# src/srec/Makefile.inc

app := srec
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

SREC_BAS  := $(app)
SREC_SRC  := $(foreach f,$(SREC_BAS),$(rel)/$(f).c)
SREC_OBJ  := $(foreach f,$(SREC_BAS),$(rel)/$(f).o)
SREC_HDR  := $(foreach f,$(SREC_BAS),$(rel)/$(f).h)
SREC_MAN1 := $(rel)/$(app).1
SREC_BIN  := $(rel)/$(app)

SREC_EXT_BAS := common getopt open strtoint
SREC_EXT_HDR := $(foreach f,$(SREC_EXT_BAS),src/lib/$(f).h) src/lib/config.h
SREC_EXT_OBJ := $(foreach f,$(SREC_EXT_BAS),src/lib/$(f).o)

BIN  += $(SREC_BIN)
MAN1 += $(SREC_MAN1)
CLN  += $(SREC_BIN) $(SREC_OBJ)
DIST += $(SREC_SRC) $(SREC_HDR) $(SREC_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(SREC_HDR) $(SREC_EXT_HDR)

$(rel)/$(app): $(SREC_EXT_OBJ) $(SREC_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(SREC_OBJ) $(SREC_EXT_OBJ) -o $@
