# src/base64/Makefile.inc

app := base64
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

BASE64_BAS  := $(app)
BASE64_SRC  := $(foreach f,$(BASE64_BAS),$(rel)/$(f).c)
BASE64_OBJ  := $(foreach f,$(BASE64_BAS),$(rel)/$(f).o)
BASE64_HDR  := $(foreach f,$(BASE64_BAS),$(rel)/$(f).h)
BASE64_MAN1 := $(rel)/$(app).1
BASE64_BIN  := $(rel)/$(app)

BASE64_EXT_BAS := common getopt open strtoint
BASE64_EXT_HDR := $(foreach f,$(BASE64_EXT_BAS),src/lib/$(f).h) src/lib/config.h
BASE64_EXT_OBJ := $(foreach f,$(BASE64_EXT_BAS),src/lib/$(f).o)

BIN  += $(BASE64_BIN)
MAN1 += $(BASE64_MAN1)
CLN  += $(BASE64_BIN) $(BASE64_OBJ)
DIST += $(BASE64_SRC) $(BASE64_HDR) $(BASE64_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(BASE64_HDR) $(BASE64_EXT_HDR)

$(rel)/$(app): $(BASE64_EXT_OBJ) $(BASE64_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(BASE64_OBJ) $(BASE64_EXT_OBJ) -o $@
