# src/portfwd/Makefile.inc

app := portfwd
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

PORTFWD_BAS  := $(app)
PORTFWD_SRC  := $(foreach f,$(PORTFWD_BAS),$(rel)/$(f).c)
PORTFWD_OBJ  := $(foreach f,$(PORTFWD_BAS),$(rel)/$(f).o)
PORTFWD_HDR  := $(foreach f,$(PORTFWD_BAS),$(rel)/$(f).h)
PORTFWD_MAN1 := $(rel)/$(app).1
PORTFWD_BIN  := $(rel)/$(app)

PORTFWD_EXT_BAS := common getopt socket
PORTFWD_EXT_HDR := $(foreach f,$(PORTFWD_EXT_BAS),src/lib/$(f).h) src/lib/config.h
PORTFWD_EXT_OBJ := $(foreach f,$(PORTFWD_EXT_BAS),src/lib/$(f).o)

BIN  += $(PORTFWD_BIN)
MAN1 += $(PORTFWD_MAN1)
CLN  += $(PORTFWD_BIN) $(PORTFWD_OBJ)
DIST += $(PORTFWD_SRC) $(PORTFWD_HDR) $(PORTFWD_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(PORTFWD_HDR) $(PORTFWD_EXT_HDR)

$(rel)/$(app): $(PORTFWD_EXT_OBJ) $(PORTFWD_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(PORTFWD_OBJ) $(PORTFWD_EXT_OBJ) $(MISC_LIB_SOCKET) -o $@
