# src/quote/Makefile.inc

app := quote
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

QUOTE_BAS  := $(app)
QUOTE_SRC  := $(foreach f,$(QUOTE_BAS),$(rel)/$(f).c)
QUOTE_OBJ  := $(foreach f,$(QUOTE_BAS),$(rel)/$(f).o)
QUOTE_HDR  := $(foreach f,$(QUOTE_BAS),$(rel)/$(f).h)
QUOTE_MAN1 := $(rel)/$(app).1
QUOTE_BIN  := $(rel)/$(app)

QUOTE_EXT_BAS := common getopt open strtoint
QUOTE_EXT_HDR := $(foreach f,$(QUOTE_EXT_BAS),src/lib/$(f).h) src/lib/config.h
QUOTE_EXT_OBJ := $(foreach f,$(QUOTE_EXT_BAS),src/lib/$(f).o)

BIN  += $(QUOTE_BIN)
MAN1 += $(QUOTE_MAN1)
CLN  += $(QUOTE_BIN) $(QUOTE_OBJ)
DIST += $(QUOTE_SRC) $(QUOTE_HDR) $(QUOTE_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(QUOTE_HDR) $(QUOTE_EXT_HDR)

$(rel)/$(app): $(QUOTE_EXT_OBJ) $(QUOTE_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(QUOTE_OBJ) $(QUOTE_EXT_OBJ) -o $@
